> ## Documentation Index
> Fetch the complete documentation index at: https://pinata-mintlify-a8f2129e.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Keys

> List all API keys for your account



## OpenAPI

````yaml get /users/apiKeys
openapi: 3.0.0
info:
  title: Pinata API
  description: ''
  termsOfService: https://www.pinata.cloud/terms-conditions
  contact:
    name: Pinata Team
    email: team@pinata.cloud
  version: 1.0.0
servers:
  - url: https://api.pinata.cloud
security:
  - bearerAuth: []
paths:
  /users/apiKeys:
    get:
      summary: List API Keys
      description: List all API keys for your account
      responses:
        '200':
          description: |-
            {
                "keys": [
                    {
                        "id": "string",
                        "name": "string",
                        "key": "string",
                        "secret": "string",
                        "max_uses": number,
                        "uses": number,
                        "user_id": "string",
                        "scopes": {
                            "admin": true
                        },
                        "revoked": false,
                        "createdAt": "2022-06-01T16:25:08.473Z",
                        "updatedAt": "2022-06-01T16:25:08.473Z"
                    }
                ],
                "count": 1
            }
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_7'
      security:
        - bearerAuth: []
      servers:
        - url: https://api.pinata.cloud
components:
  schemas:
    inline_response_200_7:
      type: object
      properties:
        keys:
          type: array
          items:
            $ref: '#/components/schemas/inline_response_200_7_keys'
        count:
          type: integer
      x-examples:
        Example 1:
          keys:
            - id: string
              name: string
              key: string
              secret: string
              max_uses: 0
              uses: 1
              user_id: string
              scopes:
                admin: true
              revoked: false
              createdAt: '2022-06-01T16:25:08.473Z'
              updatedAt: '2022-06-01T16:25:08.473Z'
          count: 1
    inline_response_200_7_keys:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        key:
          type: string
        secret:
          type: string
        max_uses:
          type: integer
        uses:
          type: integer
        user_id:
          type: string
        scopes:
          $ref: '#/components/schemas/inline_response_200_7_scopes'
        revoked:
          type: boolean
        createdAt:
          type: string
        updatedAt:
          type: string
    inline_response_200_7_scopes:
      type: object
      properties:
        admin:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````